### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Interface LocalDiscoveryServiceInterface

All Superinterfaces:
  `DiscoveryAdminInterface`, `DiscoveryServiceInterface`, `com.sas.entities.EntityKeyInterface`, `FindServiceInterface`, `Remote`, `RemoteServiceInterface`, `ServiceNotificationBroadcasterInterface`

All Known Implementing Classes:
  `DiscoveryService`

@SASScope("ALL") @BinaryCompatibilityOnly public interface LocalDiscoveryServiceInterface extends DiscoveryServiceInterface
Interface describing a local discovery service that provides additional controls related to policy decisions peculiar to a local discovery service.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.discovery.FindServiceInterface

  `FIND_ALL_MATCHES, FIND_ONE_MATCH`

  ### Fields inherited from interface com.sas.services.RemoteServiceInterface

  `CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LookupPolicyInterface`
  `getLookupPolicy()`
  Gets the lookup policy that controls whether or not an attempt is made to re-lookup a service in the event that it was not available.
  `void`
  `setLookupPolicy(LookupPolicyInterface lookupPolicy)`
  Specifies an implementation of policies related to service discovery.

  ### Methods inherited from interface com.sas.services.discovery.DiscoveryAdminInterface

  `addDiscoveryDelegate, addService, getDiscoverers, getLocalServices, getRemoteServices, removeDiscoveryDelegate, removeService`

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.discovery.FindServiceInterface

  `findService, findServices, findServiceUsingId`

  ### Methods inherited from interface com.sas.services.RemoteServiceInterface

  `configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

  ### Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface

  `addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

- ## Method Details

  - ### getLookupPolicy

    LookupPolicyInterface getLookupPolicy()
    Gets the lookup policy that controls whether or not an attempt is made to re-lookup a service in the event that it was not available.
    Returns:
      Lookup policy or `null` if a lookup should not be re-attempted.

  - ### setLookupPolicy

    void setLookupPolicy(LookupPolicyInterface lookupPolicy)
    Specifies an implementation of policies related to service discovery. This is an optional control that can be specified if one is interested in controlling whether or not a service lookup should be re-attempted in the event that no services are found satisfying the requested parameters.

    Refer to `LookupPolicyInterface` to determine lookup policy implementations.

    Parameters:
      `lookupPolicy` - Policy implementations related to service discovery. Refer to `LookupPolicyInterface`